Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::v3::stride_view< Rng > Struct Template Reference
Views
Inheritance diagram for ranges::v3::stride_view< Rng >:

## Public Member Functions
range_size_type_t< Rng > | size ()
constexpr range_size_type_t< Rng > | size () const
constexpr | stride_view (Rng rng, range_difference_type_t< Rng > const stride)

## Member Function Documentation

## ◆ size() [1/2]

template<typename Rng >

range_size_type_t<Rng> ranges::v3::stride_view< Rng >::size | ( |  | ) |

Precondition
  SizedRange<Rng>()

## ◆ size() [2/2]

template<typename Rng >

constexpr range_size_type_t<Rng> ranges::v3::stride_view< Rng >::size | ( |  | ) | const

Precondition
  SizedRange<Rng const>()